package com.ccwangluo.accelerator.ui.gameList

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import androidx.lifecycle.lifecycleScope
import com.ccwangluo.accelerator.model.Game
import com.ccwangluo.accelerator.model.GameInfo
import com.ccwangluo.accelerator.utils.AcceleratorUtils
import com.ccwangluo.accelerator.utils.SysUtils
import com.ccwangluo.accelerator.utils.http.HttpGo
import com.github.shadowsocks.bg.BaseService
import com.xuexiang.xpage.base.XPageFragment
import com.xuexiang.xutil.app.AppUtils
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch
import java.net.URLDecoder
import java.net.URLEncoder

class GameListModel : ViewModel() {

    val gameModel = MutableLiveData<Game>()
    val clearList = MutableLiveData<Boolean>()

    fun freshData(xPageFragment: XPageFragment, page: Int) {
        var packageName = if (AcceleratorUtils.game == null || AcceleratorUtils.state != BaseService.State.Connected) "" else AcceleratorUtils.game!!.packageName
        xPageFragment.lifecycleScope.launch(Dispatchers.IO) {
            val res =
                HttpGo.getSync<Game>("/api/new/game/list?page=${page}&size=20&channelId=${SysUtils.getChannel()}&packageName=${packageName}")
            res?.let {
                it.data?.let {
                    clearList.postValue(page == 1)
                    gameModel.postValue(it)
                }

            }
        }
    }
}